Bug 1577694 - *ERROR* failed to create vmw_framebuffer: -22
Summary: *ERROR* failed to create vmw_framebuffer: -22
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 01:15 UTC by Jongman Heo
Modified: 2018-06-25 19:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 19:35:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Jongman Heo 2018-05-14 01:15:14 UTC
Description of problem:

I'm using Fedora 28, on VMWare workstation 12 pro (Host OS : Windows 7).

Graphic login manager is not shown, and I can find kernel error from dmesg.

------------------------------------------
[   56.473241] [drm:vmw_kms_new_framebuffer [vmwgfx]] *ERROR* Invalid surface format for requested mode. format 0x1 surface->format 0x2
[   56.473251] [drm:vmw_kms_fb_create [vmwgfx]] *ERROR* failed to create vmw_framebuffer: -22
------------------------------------------

This happens with Fedora kernel, as well as vanilla Linus git kernel (4.17-rcX).
Above log is from vanilla Linus kernel, I changed a line to print the format value.

I've been using Fedora 28 from beta. And IIRC, I didn't see this issue when I first installed the F28 beta. After some package upgrades, this issue happened.

I don't know exact component for this issue, I selected 'libdrm', but it may be wrong.


Version-Release number of selected component (if applicable):

libdrm-2.4.91-1.fc28.x86_64
kernel-4.16.8-300.fc28.x86_64


How reproducible:
Every time.

Steps to Reproduce:
1. Booting
2.
3.

Actual results:
I can't see graphc login manager window. 
And there is a kernel error message in dmesg.

Expected results:
Graphic login manager should be shown.

Additional info:
Let me know if you need more information.

Comment 1 Jongman Heo 2018-06-22 04:28:38 UTC
My problem solved, after installing 'xorg-x11-drv-vmware' package.

I've upgraded my system from Fedora 27 to Fedora 28 Beta, using dnf system upgrade.

I don't know whether xorg-x11-drv-vmware package was installed or not when I use Fedora 27.

Anyway, I had no problem with Fedora 27 and until some point at Fedora 28 Beta.


Feel free to close.


Note You need to log in before you can comment on or make changes to this bug.